import scrapy


class BiquSpider(scrapy.Spider):
    name = 'biqu'
    allowed_domains = ['biquge.com']
    start_urls = ['https://www.biquge.com.cn/book/10561/2029790.html']

    def parse(self, response):
        global next_url
        name = response.xpath('//div[@class="bookname"]/h1/text()').extract_first()
        content = ''.join(response.xpath('//div[@id="content"]/text()').extract())
        next_url = response.xpath('//div[@class="bottem1"]/a[3]/@href').extract_first()
        print(next_url)

        yield {
            'name': name,
            'content': content
        }

        yield scrapy.Request(scrapy.urljoin(next_url), callback=self.parse)
